<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST[kodeaw];
$kodeak	=$_POST[kodeak];

$sql	= mysql_query("SELECT * FROM interface");
$r 	= mysql_fetch_assoc($sql);
$labapb 	= $r[laba_pb];
$labrug 	= $r[laba_rugi];
$nosublpb	= substr($labapb,0,3);
$nosublr	= substr($labrug,0,3);

$sql1 = mysql_query("SELECT * FROM jurbk WHERE kode_bk BETWEEN '$kodeaw' AND '$kodeak' AND posting='' ORDER BY kode_bk");

while($r1=mysql_fetch_array($sql1)){
	$kodebk 	= $r1[kode_bk];
	$tanggal	= $r1[tanggal];
	$nobank 	= $r1[nobank];
	$noakun 	= $r1[noakun];
	$nobp 		= $r1[nobp];
	$nopol		= $r1[nopol];
	$jumlah		= $r1[jumlah];
	$ket 			= $r1[keterangan];
	$user 		= $r1[user];
	$nosubbk	= substr($nobank,0,3);
	$nosubak	= substr($noakun,0,3);
	$kelakun	= (int) substr($noakun,0,1);
	
	// --->kredit bank bertambah
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$nobank'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodebk','JBK','$tanggal','$kodebk','$nobank','$nosubbk','$jumlah','$ket','$user')");
	
	// --->debet noakun bertambah
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$noakun'");
		
	if(!($nobp=='')){
		// --->Jika akun buku pembantu tidak kosong, debet bertambah
		mysql_query("UPDATE akun_bp SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$nobp'");
	}
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,nopol,debet,keterangan,user) VALUES('$kodebk','JBK','$tanggal','$kodebk','$noakun','$nosubak','$nobp','$nopol','$jumlah','$ket','$user')");
	
	if($kelakun>3){
		// --->laba periode berjalan debet
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$labapb'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodebk','JBK','$tanggal','$kodebk','$labapb','$nosubpb','$jumlah','$ket','$user')");
		
		// --->laba rugi kredit
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$labrug'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodebk','JBK','$tanggal','$kodebk','$labrug','$nosublr','$jumlah','$ket','$user')");		
	}
}
mysql_query("UPDATE jurbk SET posting='P' WHERE kode_bk BETWEEN '$kodeaw' AND '$kodeak' ");
?>
